summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-11-29 13:42:14 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-11-29 13:42:14 +0000
commitc3259acbb416bdd5222cad55399b68e5af3ee97b (patch)
treea2987225678f0bc84c47e8c2eeeb3c61f080ab8b /dev-python
parentf4537b6303dc71941803bb488ce042ce3552282e (diff)
downloadbaldeagleos-repo-c3259acbb416bdd5222cad55399b68e5af3ee97b.tar.gz
baldeagleos-repo-c3259acbb416bdd5222cad55399b68e5af3ee97b.tar.xz
baldeagleos-repo-c3259acbb416bdd5222cad55399b68e5af3ee97b.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/argparse-manpage/Manifest1
-rw-r--r--dev-python/argparse-manpage/argparse-manpage-2.ebuild22
-rw-r--r--dev-python/fakeredis/fakeredis-1.7.0.ebuild1
-rw-r--r--dev-python/imageio/Manifest1
-rw-r--r--dev-python/imageio/imageio-2.13.0.ebuild46
-rw-r--r--dev-python/nltk/nltk-3.6.5.ebuild2
-rw-r--r--dev-python/pip/pip-21.3.1-r1.ebuild2
-rw-r--r--dev-python/pygame/pygame-2.1.0.ebuild2
-rw-r--r--dev-python/python-ldap/python-ldap-3.4.0.ebuild2
-rw-r--r--dev-python/setuptools/Manifest1
-rw-r--r--dev-python/setuptools/setuptools-59.4.0.ebuild87
-rw-r--r--dev-python/tomli-w/tomli-w-0.4.0.ebuild2
12 files changed, 164 insertions, 5 deletions
diff --git a/dev-python/argparse-manpage/Manifest b/dev-python/argparse-manpage/Manifest
index 8a5fc939b1a3..5bd14339f3d8 100644
--- a/dev-python/argparse-manpage/Manifest
+++ b/dev-python/argparse-manpage/Manifest
@@ -1 +1,2 @@
DIST argparse-manpage-1.5.tar.gz 34290 BLAKE2B 598a0eb0d4816a764c1ba4093b18e28d7865c9a113db1910793748eb24394636a9e1caad86fef5416933ae5341026048d1e39ce928131a8796a5d66a40e36853 SHA512 bfdea19fa62ac029754d6df26c4fb51c18f7fee4fae681c1117253627e724cf1ff1db5196ad0690fd436cebbe403536905f157cb7eae7be50d321c663b491fd0
+DIST argparse-manpage-2.tar.gz 38279 BLAKE2B 24edcb71aed7731178d24e99a36baf8be2270f6d4da0d884610da294d44313d913f8aa2db381eae77409ec504b18346688d5f7f27257285b7aa92d453b1a58f1 SHA512 24854cd5209635e8938716f97cb4eb283152a2a109c554385a78a5145c6e0f38c76a9172d607fb3ffdf610e8d3f7270ed94f6b4612ce731ea9dafe0a1bebebe6
diff --git a/dev-python/argparse-manpage/argparse-manpage-2.ebuild b/dev-python/argparse-manpage/argparse-manpage-2.ebuild
new file mode 100644
index 000000000000..270c21b9944c
--- /dev/null
+++ b/dev-python/argparse-manpage/argparse-manpage-2.ebuild
@@ -0,0 +1,22 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Automatically build man-pages for your Python project"
+HOMEPAGE="https://github.com/praiskup/argparse-manpage https://pypi.org/project/argparse-manpage/"
+SRC_URI="https://github.com/praiskup/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x COLUMNS=80
+ epytest
+}
diff --git a/dev-python/fakeredis/fakeredis-1.7.0.ebuild b/dev-python/fakeredis/fakeredis-1.7.0.ebuild
index 76ba3b2a2b25..2faf35949083 100644
--- a/dev-python/fakeredis/fakeredis-1.7.0.ebuild
+++ b/dev-python/fakeredis/fakeredis-1.7.0.ebuild
@@ -28,6 +28,7 @@ BDEPEND="
dev-db/redis
dev-python/aioredis[${PYTHON_USEDEP}]
dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
dev-python/pytest-mock[${PYTHON_USEDEP}]
)
"
diff --git a/dev-python/imageio/Manifest b/dev-python/imageio/Manifest
index 214894d8443b..ee1399221c98 100644
--- a/dev-python/imageio/Manifest
+++ b/dev-python/imageio/Manifest
@@ -3,3 +3,4 @@ DIST imageio-2.10.5.gh.tar.gz 335546 BLAKE2B 1bfd418bb59f217c2108be9aedf35d1b632
DIST imageio-2.11.0.gh.tar.gz 339057 BLAKE2B 6dd5661866135b472a062b57b424e8ff044510488b1ccd291552f979263f2f03d3feb00ad9ab035249a2966711e804a95ff7e8f174a1f0773445782365744b6c SHA512 b42f05eabcbee4fb4bb66793cca04137b4db2695269c204b2fec43527ab6a1d9e29c688061ee53c28454b64e09343d69cc931867c5aca01d47145bd734348629
DIST imageio-2.11.1.gh.tar.gz 339241 BLAKE2B b197c946fe34e504979c9fe7e69179211bf72d986105175419c304b95628c02d3dae2e5e7b13902493cb6a7538bc3e5976590e25a35165c857623b62635b79b3 SHA512 cf33d0c96a08f29ed761e811922a31a97c36aef48022708132d5282bf5c87bb3ef67a80a98e01f57489fd4a261955e4ca231c67dfc69f5865c47a5b1f317d137
DIST imageio-2.12.0.gh.tar.gz 339829 BLAKE2B 5f6c38bd139c33e7fc00fad8f32cd2f9888fa61a4930021b58fc33530241cf8d40e13002cfedf21631d1ff18797a9d044288e3ffc8852276912ddd7485206ecd SHA512 05824e8617470734ca4966fa4cb0b3da5ce22bbbf2ff6382d216d768b6dd3923d072a3f157d1ba23524c4b499c320d3a8e051852f656ad5cb0f120a298daf688
+DIST imageio-2.13.0.gh.tar.gz 339891 BLAKE2B a9e38a855836dac3ee228376c49e9751e651530b316932a756c86f21f7c987f1f57387db1751ff0cd6673844cbfc8dcfd0bceee520ec6107290712db03ca9d9c SHA512 4f63a1183a631fa192e08438cfe97936f45b9157cad73c8a27ddc378817c21db3d92bab2e7565ef9ef539c771120e158075ae1069aec60d824c40d420dd8e117
diff --git a/dev-python/imageio/imageio-2.13.0.ebuild b/dev-python/imageio/imageio-2.13.0.ebuild
new file mode 100644
index 000000000000..b7c5f792ae7a
--- /dev/null
+++ b/dev-python/imageio/imageio-2.13.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python library for reading and writing image data"
+HOMEPAGE="https://imageio.github.io/"
+SRC_URI="
+ https://github.com/imageio/imageio/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+PROPERTIES="test_network"
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ media-libs/freeimage
+"
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Fails because of system installed freeimage
+ tests/test_core.py::test_findlib2
+)
+
+EPYTEST_IGNORE=(
+ # Needs unpackaged imageio_ffmpeg
+ tests/test_ffmpeg.py
+ tests/test_ffmpeg_info.py
+ # Needs tifffile
+ tests/test_tifffile.py
+)
diff --git a/dev-python/nltk/nltk-3.6.5.ebuild b/dev-python/nltk/nltk-3.6.5.ebuild
index 8fad632c624d..f136cf8c5b39 100644
--- a/dev-python/nltk/nltk-3.6.5.ebuild
+++ b/dev-python/nltk/nltk-3.6.5.ebuild
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/nltk/nltk/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
+KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
IUSE="tk"
RDEPEND="
diff --git a/dev-python/pip/pip-21.3.1-r1.ebuild b/dev-python/pip/pip-21.3.1-r1.ebuild
index 64a87c1bb631..cefd2a54448c 100644
--- a/dev-python/pip/pip-21.3.1-r1.ebuild
+++ b/dev-python/pip/pip-21.3.1-r1.ebuild
@@ -32,7 +32,7 @@ SRC_URI="
"
LICENSE="MIT"
-KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
SLOT="0"
IUSE="test vanilla"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pygame/pygame-2.1.0.ebuild b/dev-python/pygame/pygame-2.1.0.ebuild
index ef47f4ed29c2..65852dd11411 100644
--- a/dev-python/pygame/pygame-2.1.0.ebuild
+++ b/dev-python/pygame/pygame-2.1.0.ebuild
@@ -17,7 +17,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="LGPL-2.1"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ppc64 ~sparc ~x86"
IUSE="doc examples midi opengl test X"
RESTRICT="!test? ( test )"
diff --git a/dev-python/python-ldap/python-ldap-3.4.0.ebuild b/dev-python/python-ldap/python-ldap-3.4.0.ebuild
index c6b1261a2dcd..d72f98570a7e 100644
--- a/dev-python/python-ldap/python-ldap-3.4.0.ebuild
+++ b/dev-python/python-ldap/python-ldap-3.4.0.ebuild
@@ -15,7 +15,7 @@ if [[ ${PV} == *9999* ]]; then
inherit git-r3
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
- KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-solaris"
+ KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ppc ppc64 sparc x86 ~x86-solaris"
fi
LICENSE="MIT PSF-2"
diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index fd6da00840f2..70ff7fb80a4f 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -4,3 +4,4 @@ DIST setuptools-57.5.0.tar.gz 2141727 BLAKE2B 54c065e0bdcb0c3a0a76026d78ab26615e
DIST setuptools-58.2.0.tar.gz 2268140 BLAKE2B 13281c3b2ed664fdcec77117cded285fb5b608036c19715c7c786734bb04cc02bc0f300a28e7c49967f695a6b706f9413baa33d99ac4f1f957522136ee5857e0 SHA512 028c9d9533f5493ff89c80c705ea002661a70e0e43afecb0c7546029990ae599e16fad7248ffc29573c18c6aeb33f1bba1fde09f25fe04b74717ad9308ce9cfc
DIST setuptools-59.2.0.tar.gz 2281261 BLAKE2B 40d929a7a15d469e66b5f0db744663d0debfc9559806bebd141f5659965e47ebbd3f05ae4fe0dfd514db10507c5fffb4ab427eb55b61c2febb0dc6b47d02ca6b SHA512 cd6acf817c548ef518f0e64172f8263b181eddeaf0cbe527b30a5db9ecf0f985b76a6d9c28a54ae7a743debb844c0c75781ebcdf81eb478f2bd67b81d1e3f847
DIST setuptools-59.3.0.tar.gz 2281438 BLAKE2B 10e01103d4f2e115cb29da3f412837e0f62cd30b35d8c4e26faf2d30ad0e2d8a4b9706137490241437b969ff21d4c88b13f2fccf98f196f3fd8350a679233387 SHA512 d230ba5c7e718921b8f073a4ed3f1ccb6cbb4272f7787171bbfe20e9f37fbc6c77ba92d741cc99917cd59057e81740d2ddff27b5a87ebef2a54dd14ee3f9fbaf
+DIST setuptools-59.4.0.tar.gz 2281497 BLAKE2B 8267d6d4c373f44659b22155848fe064c7575cb74702ad77894adddcf05d805324bcd68505270bd05e81ec5702cb1dd47beec62de26f17a6459683df8cd1414b SHA512 bc7b1eb89c40ffe64b827bfbe4981dc157a7cdbd5924e53483ff69ad7e9613f6957bc36366d45c45e1e49f2d504a7b2d81677690722d4d1f1ab2e62be05b617f
diff --git a/dev-python/setuptools/setuptools-59.4.0.ebuild b/dev-python/setuptools/setuptools-59.4.0.ebuild
new file mode 100644
index 000000000000..38e2e6e81691
--- /dev/null
+++ b/dev-python/setuptools/setuptools-59.4.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+# Set to 'manual' to avoid triggering install QA check
+DISTUTILS_USE_SETUPTOOLS=manual
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 multiprocessing
+
+CPY_PATCHSET="python-gentoo-patches-3.10.0_p1"
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="https://github.com/pypa/setuptools https://pypi.org/project/setuptools/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ https://dev.gentoo.org/~floppym/python/${CPY_PATCHSET}.tar.xz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/jaraco-envs[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-path-3.2.0[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
+ dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ ' python3_{8..10} pypy3)
+ )
+"
+PDEPEND="
+ >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]"
+
+# Force in-source build because build system modifies sources.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+DOCS=( {CHANGES,README}.rst )
+
+src_prepare() {
+ # apply distutils patches to the bundled distutils
+ pushd setuptools/_distutils >/dev/null || die
+ # TODO: distutils C++ patch?
+ eapply -p3 "${WORKDIR}/${CPY_PATCHSET}/0006-distutils-make-OO-enable-both-opt-1-and-opt-2-optimi.patch"
+ popd >/dev/null || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # keep in sync with python_gen_cond_dep above!
+ has "${EPYTHON}" python3.{8..10} pypy3 || continue
+
+ distutils_install_for_testing
+ local EPYTEST_DESELECT=(
+ # network
+ setuptools/tests/test_distutils_adoption.py
+ 'setuptools/tests/test_virtualenv.py::test_pip_upgrade_from_source[None]'
+ # unhappy with pytest-xdist?
+ setuptools/tests/test_easy_install.py::TestUserInstallTest::test_local_index
+ # TODO
+ setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_allow_hosts
+ setuptools/tests/test_test.py::test_tests_are_run_once
+ )
+
+ # test_easy_install raises a SandboxViolation due to ${HOME}/.pydistutils.cfg
+ # It tries to sandbox the test in a tempdir
+ HOME="${PWD}" epytest \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")" setuptools
+}
+
+python_install() {
+ export DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT=1
+ distutils-r1_python_install
+}
diff --git a/dev-python/tomli-w/tomli-w-0.4.0.ebuild b/dev-python/tomli-w/tomli-w-0.4.0.ebuild
index d59aabadf912..8cf8379d775d 100644
--- a/dev-python/tomli-w/tomli-w-0.4.0.ebuild
+++ b/dev-python/tomli-w/tomli-w-0.4.0.ebuild
@@ -18,7 +18,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
BDEPEND="
test? ( dev-python/tomli[${PYTHON_USEDEP}] )"